<?xml version="1.0"?>
<!-- This file is protected by Copyright. Please refer to the COPYRIGHT file
     distributed with this source distribution.

     This file is part of OpenCPI <http://www.opencpi.org>

     OpenCPI is free software: you can redistribute it and/or modify it under
     the terms of the GNU Lesser General Public License as published by the Free
     Software Foundation, either version 3 of the License, or (at your option)
     any later version.

     OpenCPI is distributed in the hope that it will be useful, but WITHOUT ANY
     WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
     FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public License for
     more details.

     You should have received a copy of the GNU Lesser General Public License
     along with this program. If not, see <http://www.gnu.org/licenses/>. -->
<build>
  <configuration id="0">
    <parameter name="fft_length" value="64"/>
    <parameter name="inverse_fft" value="false"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="1">
    <parameter name="fft_length" value="64"/>
    <parameter name="inverse_fft" value="false"/>
    <parameter name="indicate_start_of_fft_block" value="true"/>
    <parameter name="opcode_fifo_depth" value="32"/>
    <parameter name="metadata_fifo_size" value="16"/>
  </configuration>
  <configuration id="2">
    <parameter name="fft_length" value="64"/>
    <parameter name="inverse_fft" value="true"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="3">
    <parameter name="fft_length" value="2048"/>
    <parameter name="inverse_fft" value="false"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="4">
    <parameter name="fft_length" value="2048"/>
    <parameter name="inverse_fft" value="true"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="5">
    <parameter name="fft_length" value="4096"/>
    <parameter name="inverse_fft" value="false"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="6">
    <parameter name="fft_length" value="4096"/>
    <parameter name="inverse_fft" value="true"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="7">
    <parameter name="fft_length" value="4096"/>
    <parameter name="inverse_fft" value="false"/>
    <parameter name="indicate_start_of_fft_block" value="true"/>
  </configuration>
  <configuration id="8">
    <parameter name="fft_length" value="4096"/>
    <parameter name="inverse_fft" value="true"/>
    <parameter name="indicate_start_of_fft_block" value="true"/>
  </configuration>
  <configuration id="9">
    <parameter name="fft_length" value="8192"/>
    <parameter name="inverse_fft" value="false"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="10">
    <parameter name="fft_length" value="8192"/>
    <parameter name="inverse_fft" value="true"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="11">
    <parameter name="fft_length" value="16"/>
    <parameter name="inverse_fft" value="false"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
  <configuration id="12">
    <parameter name="fft_length" value="16"/>
    <parameter name="inverse_fft" value="true"/>
    <parameter name="indicate_start_of_fft_block" value="false"/>
  </configuration>
</build>
